Bug 11432 - Fix crash in nested banning
Fix crash in nested banning
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.3.0rc
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 06:17 UTC by Martin Schwenke
Modified: 2015-08-18 11:33 UTC (History)
2 users (show)

See Also:


Attachments
Patches for 4.2 (3.99 KB, patch)
2015-08-05 06:47 UTC, Martin Schwenke
amitay: review+
Details
Patches for 4.3 (3.99 KB, patch)
2015-08-05 06:47 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2015-08-05 06:17:19 UTC
CTDB can crash if multiple attempts to ban a node overlap
Comment 1 Martin Schwenke 2015-08-05 06:47:18 UTC
Created attachment 11309 [details]
Patches for 4.2

I guess we want this for 4.2 as well...
Comment 2 Martin Schwenke 2015-08-05 06:47:37 UTC
Created attachment 11310 [details]
Patches for 4.3
Comment 3 Amitay Isaacs 2015-08-06 04:07:50 UTC
Hi Karolin,

This requires fixing both 4.2.x and 4.3.x.
Comment 4 Stefan Metzmacher 2015-08-17 15:48:03 UTC
Pushed to autobuild-v4-{2,3}-test
Comment 5 Stefan Metzmacher 2015-08-18 11:33:15 UTC
Pushed to v4-{2,3}-test